import { ColumnDef } from "@tanstack/react-table";
import { User } from "../data/schema";
import { Role } from "../../role/data/schema";
import { PasubotClient } from "pasubot-js-v2";
interface ColumnsProps {
    onEdit: (value: Role) => void;
    onRefresh: () => void;
    onCallDelete: (value: User) => void;
    oncallStatus: (value: User) => void;
    supabaseAuthAdmin: PasubotClient;
}
export declare const columns: ({ onRefresh, onCallDelete, oncallStatus, supabaseAuthAdmin }: ColumnsProps) => ColumnDef<Role>[];
export {};
//# sourceMappingURL=columns.d.ts.map